CHAGE(1)

NAZWA
chage - zmiana informacji o terminie ważności hasła użytkownika

STRESZCZENIE

chage [opcje] LOGIN

OPIS

The chage command changes the number of days between password changes and the date of the last password change. This information is used by the system to determine when a user must change their password.

OPCJE

The options which apply to the chage command are:

-d, --lastday LAST_DAY
    Ustawia ilość dni od 1 stycznia 1970 kiedy hało było ostani raz zmieniane. Data ważności może być takze prezekazana w formacie RRRR-MM-DD (lub formacie używanym lokalnie).

-E, --expiredate EXPIRE_DATE
    Ustawia datę, począwszy od której konto użytkownika nie będzie już dostępne. DATA_WAŻN jest liczbą dni od 1 stycznia 1970, od której konto jest blokowane. Data może być też wyrażona w formacie RRRR-MM-DD (lub innej, powszechniej używanej w danym regionie). Użytkownik, którego konto jest zablokowane musi skontaktować się z administratorem systemu zanim będzie mógł z niego ponownie skorzystać.

    Passing the number -1 as the EXPIRE_DATE will remove an account expiration date.

-h, --help
    Wyświetlenie komunikatu pomocy i zakończenie działania.

-i, --iso8601
    When printing dates, use YYYY-MM-DD format.

-I, --inactive INACTIVE
    Set the number of days of inactivity after a password has expired before the account is locked. The INACTIVE option is the number of days of inactivity. A user whose account is locked must contact the system administrator before being able to use the system again.

    Passing the number -1 as the INACTIVE will remove an account's inactivity.

-l, --list
    Wyświetlenie informacji o terminach ważności konta i hasła.

-m, --mindays MIN_DAYS
    Set the minimum number of days between password changes to MIN_DAYS. A value of zero for this field indicates that the user may change their password at any time.

-M, --maxdays MAX_DAYS
    Set the maximum number of days during which a password is valid. When MAX_DAYS plus LAST_DAY is less than the current day, the user will be required to change their password before being able to use their account. This occurrence can be planned for in advance by use of the -W option, which provides the user with advance warning.

    Passing the number -1 as MAX_DAYS will remove checking a password's validity.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory.

-W, --warndays WARN_DAYS
    Set the number of days of warning before a password change is required. The WARN_DAYS option is the number of days prior to the password expiring that a user will be warned their password is about to expire.

If none of the options are selected, chage operates in an interactive fashion, prompting the user with the current values for all of the fields. Enter the new value to change the field, or leave the line blank to use the current value. The current value is displayed between a pair of [ ] marks.

UWAGI

The chage program requires a shadow password file to be available.

The chage command is restricted to the root user, except for the -l option, which may be used by an unprivileged user to determine when their password or account is due to expire.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

PLIKI

/etc/passwd
    Informacja o kontach użytkowników.

/etc/shadow
    Informacje chronione o użytkownikach.

KOD ZAKOŃCZENIA

The chage command exits with the following values:

0
    success

1
    permission denied

2
    invalid command syntax

15
    can't find the shadow password file

ZOBACZ TAKŻE

passwd(5), shadow(5).